Sandbox playground Read-only sandbox request assetClass Optional · query exchange Optional · query status Optional · query tradable Optional · query search Optional · query limit Optional · query cursor Optional · query Sandbox API key Your key stays in this page’s memory.
https://mystocks.africa/api/sandbox/v1/partner/assets Send{
"type": "object",
"required": [
"data",
"count",
"hasMore"
],
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"required": [
"assetId",
"sourceId",
"assetClass",
"currency",
"status",
"tradable",
"fractionable",
"shortable",
"marginable",
"capabilities",
"fractionalEligibility",
"orderRules"
],
"properties": {
"assetId": {
"type": "string",
"example": "stock:SCOM.KE"
},
"sourceId": {
"type": "string"
},
"symbol": {
"type": [
"string",
"null"
]
},
"name": {
"type": [
"string",
"null"
]
},
"assetClass": {
"type": "string",
"enum": [
"STOCK",
"ETF",
"BOND",
"FUND"
]
},
"exchange": {
"type": [
"string",
"null"
]
},
"exchangeMic": {
"type": [
"string",
"null"
]
},
"currency": {
"type": "string"
},
"status": {
"type": "string"
},
"statusReason": {
"type": [
"string",
"null"
]
},
"tradable": {
"type": "boolean"
},
"fractionable": {
"type": "boolean"
},
"shortable": {
"type": "boolean",
"const": false
},
"marginable": {
"type": "boolean",
"const": false
},
"minOrderSize": {
"type": [
"number",
"null"
]
},
"lotSize": {
"type": [
"number",
"null"
]
},
"tickSize": {
"type": [
"number",
"null"
]
},
"settlementCycle": {
"type": [
"string",
"null"
]
},
"capabilities": {
"type": "object",
"required": [
"buy",
"sell",
"subscribe",
"redeem",
"fractional",
"short",
"margin"
],
"properties": {
"buy": {
"type": "boolean"
},
"sell": {
"type": "boolean"
},
"subscribe": {
"type": "boolean"
},
"redeem": {
"type": "boolean"
},
"fractional": {
"type": "boolean"
},
"short": {
"type": "boolean"
},
"margin": {
"type": "boolean"
}
}
},
"fractionalEligibility": {
"type": "object",
"required": [
"fractional",
"minOrderSize",
"quantityIncrement",
"quantityPrecision",
"supportedSizingModes"
],
"properties": {
"fractional": {
"type": "boolean",
"description": "Whether the instrument supports fractional units."
},
"minOrderSize": {
"type": [
"number",
"null"
],
"description": "Minimum quantity or subscription amount configured for this instrument."
},
"quantityIncrement": {
"type": "number",
"exclusiveMinimum": 0,
"description": "Smallest accepted quantity step."
},
"quantityPrecision": {
"type": "integer",
"minimum": 0,
"maximum": 6,
"description": "Maximum decimal places implied by quantityIncrement."
},
"supportedSizingModes": {
"type": "array",
"minItems": 1,
"uniqueItems": true,
"items": {
"type": "string",
"enum": [
"QUANTITY",
"CASH_VALUE"
]
}
}
}
},
"orderRules": {
"type": "object",
"properties": {
"minQuantity": {
"type": [
"number",
"null"
]
},
"minNotional": {
"oneOf": [
{
"type": "object",
"required": [
"amount",
"currency"
],
"properties": {
"amount": {
"type": "number"
},
"currency": {
"type": "string"
}
}
},
{
"type": "null"
}
]
},
"quantityIncrement": {
"type": "number"
},
"quantityPrecision": {
"type": "integer",
"minimum": 0,
"maximum": 6
},
"lotSize": {
"type": [
"number",
"null"
]
},
"tickSize": {
"type": [
"number",
"null"
]
}
}
},
"settlement": {
"oneOf": [
{
"type": "object",
"required": [
"cycle",
"cycleDays"
],
"properties": {
"cycle": {
"type": "string"
},
"cycleDays": {
"type": "integer"
}
}
},
{
"type": "null"
}
]
}
}
}
},
"count": {
"type": "integer"
},
"hasMore": {
"type": "boolean"
},
"nextCursor": {
"type": [
"string",
"null"
]
}
}
}cURL JavaScript Python
Copycurl -X GET 'https://mystocks.africa/api/sandbox/v1/partner/assets' \
-H "Authorization: Bearer $MYSTOCKS_SANDBOX_API_KEY"